## stopmotion 0.8.6

=== CMakeLists.txt ===
###
# general project setup
###
cmake_minimum_required(VERSION 3.14)

project(stopmotion
  VERSION 0.8.6
  LANGUAGES CXX)

# set project options required by Qt
set(CMAKE_CXX_STANDARD 11)
set(CMAKE_CXX_STANDARD_REQUIRED ON)

set(CMAKE_AUTOMOC ON)
set(CMAKE_AUTORCC ON)
set(CMAKE_AUTOUIC ON)

enable_testing()

###
# find external dependencies
###

# Qt
find_package(Qt5 5.11
  COMPONENTS Widgets Multimedia LinguistTools
  REQUIRED)
# only needed for testing
find_package(Qt5 5.11
  COMPONENTS Test)

# LibXml2
find_package(LibXml2
  REQUIRED)

# libtar
find_file(TAR_INCLUDE_PATH
  NAMES libtar.h
  REQUIRED)
find_library(TAR_LIBRARY_PATH
  NAMES tar
  REQUIRED)

# libVorbisFile
find_file(VORBISFILE_INCLUDE_PATH
  NAMES "vorbis/vorbisfile.h"
  REQUIRED)
find_library(VORBISFILE_LIBRARY_PATH
  NAMES vorbisfile
  REQUIRED)

# libdl, only needed for testing
find_library(DL_LIBRARY_PATH
  NAMES dl
  )

include(FeatureSummary)
feature_summary(WHAT PACKAGES_FOUND PACKAGES_NOT_FOUND)

# if given, pass path to translations and html path
if(${TRANSLATIONS_PATH})
  add_compile_definitions(TRANSLATIONS_PATH=${TRANSLATIONS_PATH})
endif()
if(${HTML_PATH})
  add_compile_definitions(HTML_PATH=${HTML_PATH})
endif()

add_subdirectory(src)
add_subdirectory(translations)

###
# handle translation files
###
file(GLOB TS_FILES "translations/stopmotion_*.ts")
qt5_add_translation(QM_FILES "${TS_FILES}")

###
# create executable and link libraries
###
add_executable(stopmotion
  src/main.cpp
  src/config.cpp
  src/domain/domainfacade.cpp
  src/domain/observernotifier.cpp
  src/foundation/logger.cpp
  src/foundation/uiexception.cpp
  src/foundation/stringwriter.cpp
  src/domain/animation/animation.cpp
  src/domain/animation/animationimpl.cpp
  src/domain/animation/frame.cpp
  src/domain/animation/sound.cpp
  src/domain/animation/scenevector.cpp
  src/domain/animation/errorhandler.cpp
  src/presentation/imagecache.cpp
  src/presentation/frontends/nonguifrontend/nonguifrontend.cpp
  src/presentation/frontends/qtfrontend/mainwindowgui.cpp
  src/presentation/frontends/qtfrontend/qtfrontend.cpp
  src/application/runanimationhandler.cpp
  src/domain/undo/commandadd.cpp
  src/domain/undo/commandmove.cpp
  src/domain/undo/commandremove.cpp
  src/domain/undo/commandsetimage.cpp
  src/domain/undo/commandaddsound.cpp
  src/domain/undo/commandrenamesound.cpp
  src/domain/undo/commandremovesound.cpp
  src/domain/undo/commandaddscene.cpp
  src/domain/undo/commandmovescene.cpp
  src/domain/undo/commandremovescene.cpp
  src/domain/undo/filelogger.cpp
  src/domain/animation/workspacefile.cpp
  src/application/camerahandler.cpp
  src/presentation/frontends/qtfrontend/frameview.cpp
  src/presentation/frontends/qtfrontend/flexiblespinbox.cpp
  src/presentation/frontends/qtfrontend/menuframe.cpp
  src/presentation/frontends/qtfrontend/flexiblelineedit.cpp
  src/application/soundhandler.cpp
  src/presentation/frontends/qtfrontend/framepreferencesmenu.cpp
  src/application/editmenuhandler.cpp
  src/domain/animation/scene.cpp
  src/technical/projectserializer.cpp
  src/technical/audio/oggvorbis.cpp
  src/technical/audio/audioformat.cpp
  src/technical/audio/qtaudiodriver.cpp
  src/technical/grabber/imagegrabber.cpp
  src/technical/grabber/commandlinegrabber.cpp
  src/presentation/frontends/qtfrontend/imagegrabthread.cpp
  src/presentation/frontends/qtfrontend/preferencesmenu.cpp
  src/foundation/preferencestool.cpp
  src/application/modelhandler.cpp
  src/presentation/frontends/qtfrontend/toolsmenu.cpp
  src/application/languagehandler.cpp
  src/technical/video/videofactory.cpp
  src/technical/video/videoencoder.cpp
  src/presentation/frontends/qtfrontend/importtab.cpp
  src/presentation/frontends/qtfrontend/framebar/framebar.cpp
  src/presentation/frontends/qtfrontend/framebar/framethumbview.cpp
  src/presentation/frontends/qtfrontend/framebar/filenamesfromurlsiterator.cpp
  src/presentation/frontends/qtfrontend/framebar/scenearrowbutton.cpp
  src/presentation/frontends/qtfrontend/framebar/scenethumbview.cpp
  src/presentation/frontends/qtfrontend/framebar/thumbview.cpp
  src/presentation/frontends/qtfrontend/framebar/thumbdragger.cpp
  src/presentation/frontends/qtfrontend/exporttab.cpp
  src/presentation/frontends/qtfrontend/helpwindow.cpp
  src/presentation/frontends/qtfrontend/editobserver.cpp
  src/technical/util.cpp
  src/technical/stringiterator.cpp
  src/application/externalcommand.cpp
  src/application/externalcommandwithtemporarydirectory.cpp
  src/presentation/frontends/qtfrontend/aboutdialog.cpp
  src/presentation/frontends/qtfrontend/devicetab.cpp
  src/presentation/frontends/frontend.cpp
  src/domain/undo/command.cpp
  src/domain/undo/undoredoobserver.cpp
  src/domain/undo/commandlogger.cpp
  src/domain/undo/executor.cpp
  src/domain/undo/addallcommands.cpp
  src/domain/undo/random.cpp
  translations.qrc
  ${QM_FILES}
  )

# link to Qt libraries
target_link_libraries(stopmotion
  PUBLIC
  Qt5::Core
  Qt5::Widgets
  Qt5::Multimedia
  )
# link to LibXml2
target_link_libraries(stopmotion
  PUBLIC LibXml2::LibXml2)
# link to libVorbis, libtar
target_link_libraries(stopmotion
  PUBLIC
  ${VORBISFILE_LIBRARY_PATH}
  ${TAR_LIBRARY_PATH}
  )

target_include_directories(stopmotion
  PUBLIC
  .
  src
  src/domain
  src/domain/animation
  src/foundation
  src/presentation
  src/presentation/frontends/nonguifrontend
  src/presentation/frontends/qtfrontend
  )

###
# handle installation
###
include(GNUInstallDirs)

install(TARGETS stopmotion
  RUNTIME
  DESTINATION ${CMAKE_INSTALL_FULL_BINDIR})
install(FILES stopmotion.desktop
  DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/applications)
install(FILES
  graphics/stopmotion.png
  graphics/stopmotion.svg
  graphics/stopmotion.xpm
  graphics/stopmotion_logo.xpm
  DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/pixmaps)
install(DIRECTORY graphics/icons
  DESTINATION ${CMAKE_INSTALL_FULL_DATADIR})
install(FILES ${QM_FILES}
  DESTINATION ${CMAKE_INSTALL_FULL_DATADIR}/stopmotion/translations)
install(FILES stopmotion.1
  DESTINATION ${CMAKE_INSTALL_FULL_MANDIR}/man1)
install(DIRECTORY manual
  DESTINATION ${CMAKE_INSTALL_FULL_DOCDIR})

=== src/test/CMakeLists.txt ===
if(EXISTS "${DL_LIBRARY_PATH}" AND "${Qt5Test_FOUND}")
  add_library(oomtestutil
    SHARED EXCLUDE_FROM_ALL
    oomtestutil.cpp)
  target_compile_definitions(oomtestutil
    PUBLIC
    _GNU_SOURCE)
  set_target_properties(oomtestutil
    PROPERTIES
    POSITION_INDEPENDENT_CODE TRUE)
  target_link_libraries(oomtestutil
    PUBLIC
    ${DL_LIBRARY_PATH})

  add_library(oomteststub
    EXCLUDE_FROM_ALL
    oomteststub.cpp)
  target_compile_definitions(oomteststub
    PUBLIC
    _GNU_SOURCE)
  set_target_properties(oomteststub
    PROPERTIES
    POSITION_INDEPENDENT_CODE TRUE)
  target_link_libraries(oomteststub
    PUBLIC
    ${DL_LIBRARY_PATH})

  add_executable(test-stopmotion
    tmain.cpp
    toggvorbis.cpp
    texecutor.cpp
    tcache.cpp
    testundo.cpp
    testhome.cpp
    fakefiles.cpp
    hash.cpp
    tworkspace.cpp
    tstopmotionundo.cpp
    ../domain/undo/filelogger.cpp
    ../domain/undo/command.cpp
    ../domain/undo/commandlogger.cpp
    ../domain/undo/executor.cpp
    ../domain/undo/addallcommands.cpp
    ../domain/undo/random.cpp
    ../domain/undo/commandadd.cpp
    ../domain/undo/commandmove.cpp
    ../domain/undo/commandremove.cpp
    ../domain/undo/commandsetimage.cpp
    ../domain/undo/commandaddsound.cpp
    ../domain/undo/commandrenamesound.cpp
    ../domain/undo/commandremovesound.cpp
    ../domain/undo/commandaddscene.cpp
    ../domain/undo/commandmovescene.cpp
    ../domain/undo/commandremovescene.cpp
    ../domain/animation/scene.cpp
    ../domain/animation/frame.cpp
    ../domain/animation/sound.cpp
    ../domain/animation/animation.cpp
    ../domain/animation/animationimpl.cpp
    ../domain/animation/scenevector.cpp
    ../domain/animation/workspacefile.cpp
    ../domain/animation/errorhandler.cpp
    ../domain/observernotifier.cpp
    ../technical/audio/audioformat.cpp
    ../technical/util.cpp
    ../technical/stringiterator.cpp
    ../technical/video/videofactory.cpp
    ../technical/video/videoencoder.cpp
    ../technical/audio/qtaudiodriver.cpp
    ../technical/projectserializer.cpp
    ../presentation/frontends/frontend.cpp
    ../application/externalcommandwithtemporarydirectory.cpp
    ../application/externalcommand.cpp
    ../foundation/stringwriter.cpp
    ../foundation/uiexception.cpp
    ../foundation/logger.cpp
    )

set_target_properties(test-stopmotion
  PROPERTIES
  EXCLUDE_FROM_ALL true)

# link to Qt libraries
target_link_libraries(test-stopmotion
  PUBLIC
  Qt5::Core
  Qt5::Widgets
  Qt5::Multimedia
  Qt5::Test
  )
# link to LibXml2
target_link_libraries(test-stopmotion
  PUBLIC LibXml2::LibXml2)
# link to libVorbisFile, libtar
target_link_libraries(test-stopmotion
  PUBLIC
  oomtestutil oomteststub
  ${VORBISFILE_LIBRARY_PATH}
  ${TAR_LIBRARY_PATH}
  ${DL_LIBRARY_PATH}
  )

target_include_directories(test-stopmotion
  PUBLIC
  ${CMAKE_SOURCE_DIR})

# add test executable to CTest suite
add_test(
  NAME test-stopmotion
  COMMAND test-stopmotion)

# link files required for test
file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/resources ${CMAKE_CURRENT_BINARY_DIR}/resources
     COPY_ON_ERROR SYMBOLIC)

endif()

## stopmotion 0.6.2+git.1.10d2ea43

=== debian/changelog ===
stopmotion (0.6.2+git.1.10d2ea43-1.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix FTBFS with gcc 4.7 by fixing missing <unistd.h> includes (Cyril
    Brulebois). Closes: #667383.

 -- Matthias Klose <doko@debian.org>  Tue, 29 May 2012 16:31:58 +0800

stopmotion (0.6.2+git.1.10d2ea43-1) unstable; urgency=low

  * Merge changes from resurrected upstream on sourceforge + tweaks
  * Remove now-unneeded quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 19:23:55 +0000

stopmotion (0.6.2-2) UNRELEASED; urgency=low

  * Co-hijack package (i.e., add self as co-maintaining uploader)
  * Update debian packaging.
    - Simplify with dh mechanisms.
    - Add doc-base entry.
    - Tweak build-time link flags without editing generated Makefile.
    - Add collab-main git VCS repo to debian/control.
    - Add new project homepage to debian/control.
    - Address most lintian issues.
  * Patches
    - Use source format 3.0 (quilt).
    - Migrate debian changes to upstream code into quilt patches.
    - Quilt patches for various upstream spelling errors.
    - Quilt patch to remove desktop file encoding key.

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 04 Mar 2012 17:44:08 +0000

stopmotion (0.6.2-1.2) unstable; urgency=low

  * Non-maintainer upload.
  * debian/rules: add math and x11 library to fix FTBFS, Patch from Matthias
    Klose <doko@ubuntu.com>. (Closes: #565056, #606721)
  * Fix Crash when read single jpg files. Patch from Ying-Chun Liu (PaulLiu)
    <paulliu@debian.org>. (Closes: #612762)

 -- Mahyuddin Susanto <udienz@ubuntu.com>  Tue, 10 Jan 2012 19:26:27 +0700

stopmotion (0.6.2-1.1) unstable; urgency=high

  * Non-maintainer upload.
  * Use pidof instead of a combination of kill, ps and grep (Closes: #496027).

 -- Mehdi Dogguy <mehdi@debian.org>  Tue, 07 Dec 2010 06:07:08 +0100

stopmotion (0.6.2-1) unstable; urgency=low

  * New upstream release
    - Fixed an invalid read reported by Valgrind.
    - Fixed a crash occuring on some 64-bit systems.
    - Fixed the default translation to be the same as the locale.
    - Rewrote the file system watcher to use inotify-tools instead of FAM.
    - Included the man page in upstream tarball.
    - Updated the Italian translation.
  * segfault at startup (Closes: #488621)
  * Upgrade to Standards-Version 3.8.0.
  * Replace libfam-dev with libinotifytools-dev in control/Build-Depends

  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri, 25 Jul 2008 12:59:29 +0200

stopmotion (0.6.1-1) unstable; urgency=low

  * New upstream release
    - Added Italian and Turkish translation.
    - Applied a patch from Josh Green that improves copying of files.
    - Fixed problems related to file names containing white spaces.
    - Fixed gcc-4.3 compiler warnings.
    - Fixed a Qt 4.4.0 specific issue related to non-native windows.
  * not handling nostrip build option (policy 10.1) (Closes: #438071)
  * does not start (Closes: #413252)
  * Updated debian/menu to reflect the new menu policy (Apps -> Applications). 

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Fri, 09 May 2008 17:05:33 +0200

stopmotion (0.6.0-1.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix FTBFS with GCC 4.3 (Closes: #417705).

 -- Luk Claes <luk@debian.org>  Sat, 15 Mar 2008 17:19:55 +0000

stopmotion (0.6.0-1) unstable; urgency=low

  * New upstream release
    - Added button to launch Gimp with the current active frame.
  * Added Gimp to 'Suggests' in debian/control.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun, 25 Feb 2007 15:25:48 +0100

stopmotion (0.5.6-1) unstable; urgency=low

  * New upstream release
    - Fixed segfault after recovery and in some cases when reading
      the preferences file.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  4 Feb 2007 22:48:33 +0100

stopmotion (0.5.5-1) unstable; urgency=low

  * New upstream release
     - Added Portuguese translation and updated the "thanks to" list.
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat,  6 Jan 2007 15:13:35 +0100

stopmotion (0.5.4-1) unstable; urgency=low

  * New upstream release
      - Added translations: german, spanish and swedish
      - Added yet another import option for dvgrab
      - Fixed out-of-sync issue with SDL window
  * stopmotion fails to start (Closes: #387768)
  * stopmotion missing on the K menu (under multimedia) (Closes:
    #397286)
  * Missing packages in debian/control's Suggests: (Closes: #376921) 
  * Upload sponsored by Petter Reinholdtsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Thu,  4 Jan 2007 23:05:22 +0100

stopmotion (0.5.3-1) unstable; urgency=low

  * New upstream release
     - Added dynamic translation to the preferences menu
  * Fixes FTBFS during the second time build (Closes: #373172)
  * Upload sponsored by Morten Werner Olsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sat, 24 Jun 2006 13:55:31 +0200

stopmotion (0.5.2-1) unstable; urgency=low

  * Added automatic detection and setup of v4l devices (Closes: #366237)
  * Added videodog as an import command
  * Fixed segfault when removing empty scene
  * Updated the norwegian translation
  * Manual page included in upstream
  * Cosmetic changes to the manual page
  * Removed config.sub and config.guess from rules
  * Removed Andreas from the uploaders field in control
  * Upload sponsored by Morten Werner Olsen.

 -- Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>  Sun,  4 Jun 2006 15:16:25 +0200

stopmotion (0.5.1-1) unstable; urgency=low

  * Changed from '/bin/which' to 'which' in the Util class
  * Changed from 'INSTALL_ROOT' to 'prefix' on install targets in the
    Makefile
  * Included cassert.h in the Util class
  * Fixed minor bug related to opening and closing of scenes


=== debian/control ===
Source: stopmotion
Section: x11
Priority: optional
Maintainer: Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Uploaders: Barak A. Pearlmutter <bap@debian.org>
Build-Depends: debhelper (>= 9),
	pkg-config,
	libinotifytools-dev,
	libqt4-dev,
	libsdl-image1.2-dev,
	libsdl1.2-dev,
	libtar-dev,
	libvorbis-dev,
	libxml2-dev
Standards-Version: 3.9.3
Homepage: http://linuxstopmotion.sourceforge.net
Vcs-Git: git://git.debian.org/git/collab-maint/stopmotion.git
Vcs-Browser: http://git.debian.org/?p=collab-maint/stopmotion.git

Package: stopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: vgrabbj, dvgrab, ffmpeg
Suggests: gimp
Description: program for creating stop motion animations
 You can create stop-motion animations with images grabbed
 from your favourite video device. You just sets stopmotion to
 use a grabber program which works with your device. It is also 
 possible to do the same with video export; just plug in an
 encoder capable of doing video export from couple of images.
 .
 Stopmotion has a set of tools which helps you creating the 
 movements smooth and precise.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

# Need to compensate for one issue.  Makefile is missing -lX11 -lm
libs_with_x_n_m=-lSDL -lxml2 -lSDL_image -ltar -lvorbisfile -linotifytools -lQtGui -lQtCore -lpthread  -lX11 -lm
override_dh_auto_build:
	dh_auto_build -- LIBS='$(libs_with_x_n_m)'


# Need to compensate for two issues.  (1) Makefile ignores DESTDIR.
# (2) Makefile install target does not serialize chmoding installed
# files after actually installing them, so insist on single thread.
override_dh_auto_install:
	dh_auto_install -- prefix='$$(DESTDIR)' --jobs=1

## stopmotion 0.7.2

=== debian/changelog ===
stopmotion (0.7.2-1) unstable; urgency=low

  * New upstream version
    - switch from /usr/bin/ffmpeg to /usr/bin/avconv (closes: #724948)
    - German translation fix (closes: #516765)

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 23 Jan 2014 23:02:40 +0000

stopmotion (0.7.1-1) unstable; urgency=low

  * New upstream version
  * Adapt to upstream switch to qmake

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 08 Jan 2014 23:32:51 +0100

stopmotion (0.6.2+git.1.10d2ea43-2) unstable; urgency=low

  * Merge and acknowledge (Thanks Matthias!) NMU
  * Include a bunch of minor fixes like PATH_MAX, see git for details

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 10 Jul 2012 09:18:19 +0100

=== debian/control ===
Source: stopmotion
Section: video
Priority: optional
Maintainer: Barak A. Pearlmutter <bap@debian.org>
Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
Build-Depends: debhelper (>= 9),
	pkg-config,
	libinotifytools-dev,
	libqt4-dev,
	libsdl-image1.2-dev,
	libsdl1.2-dev,
	libtar-dev,
	libvorbis-dev,
	libxml2-dev
Standards-Version: 3.9.5
Homepage: http://linuxstopmotion.sourceforge.net
Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git

Package: stopmotion
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: vgrabbj, dvgrab, ffmpeg
Suggests: gimp
Description: create stop-motion animations
 Create stop-motion animations with images grabbed from a video
 device, or from image files, or from still images extracted from
 video.  Stopmotion has a set of tools which helps you keep the
 movements smooth and precise, such as ghosting the last image on a
 live view of the next image to be acquired.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --parallel

override_dh_auto_configure:
	@echo "generating binary translation files translations/*.qm"
	lrelease stopmotion.pro
	dh_auto_configure

# prevent attempt when parallel to chmod installed *.qm before they're installed
override_dh_auto_install:
	dh_auto_install --max-parallel=1

## stopmotion 0.8.0

=== debian/changelog ===
stopmotion (0.8.0-5) unstable; urgency=medium

  * patch from Georges Khaznadar <georgesk@debian.org> for vgrabbj daemon
    mode return code (closes: #785459)

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 17 May 2015 10:17:56 +0100

stopmotion (0.8.0-4) unstable; urgency=medium

  * stop ignoring failures in dh_auto_test

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 08 Dec 2014 11:14:34 +0000

stopmotion (0.8.0-3) unstable; urgency=medium

  * Merge upstream fixes
    - acbfcf4 Added some logging for mock file system initialization errors
    - 269f47a Fixed lrelease output directory
    - 3dce257 Using /tmp not home directory for generated test files
    - 87a451d Factored out TestHome and used it to wrap the real command tests
    - 6b8fc18 Listed *.qm files more sanely
    - 2a5de1c Fixed target.path configs and PREFIX
    - 04f10de Fixed INSTALL_ROOT and PREFIX to match convention
    - ad1d9cf Using standard ioctl to detect webcams
    - 6a2ed5b Deleted libng source
    - 653bb40 Turned warnings on and eliminated most of them
    - da252f3 translation install target appears even if no qm files yet
    - 6124aa0 removed dummy target
    These fix two things:
    - build system fixes, to install *.qm files without workarounds
    - update camera detection to use ioctl mechanisms, for portability
  * upstream build system fixes obviate necessity of *.qm workaround
  * re-enable dh_auto_test but ignore failures

 -- Barak A. Pearlmutter <bap@debian.org>  Sat, 06 Dec 2014 22:15:07 +0000

stopmotion (0.8.0-2) unstable; urgency=medium

  * Merge upstream fixes
    - da7af98 corrected README. 'make' makes just release, not release+debug
    - 678cdf7 Fix lintian issue desktop-mime-but-no-exec-code
    - 473a291 Removed last PATH_MAX references to allow it to compile on Hurd
  * disable dh_auto_test because it fails on the autobuilders

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 24 Nov 2014 16:58:44 +0000

stopmotion (0.8.0-1) unstable; urgency=medium

  * New upstream version
  * No longer uses libinotify
  * Fixes many issues in Ubuntu bug tracker:
    - 863965 No save dialog on exit (unnecessary as recovery is now seamless)
    - 910532 Edit operations are not correct
    - 923447 Deleting scene not undoable
    - 1194805 Resume capture will start at a random point
    - 1194818 Recovery function puts frames in the wrong order
    - 863979 Captured frames not stored on disk
    - 1069370 Cut and paste doesn't work on the timeline
    - 864052 Autosaving (recovery does this job)
    - 1036282 Onionskinning ignores changes in the timeline
    - 1050180 Framebar reentrancy causes crashes
    - 1069372 Inconsistent drag and drop behaviour
    - 1210879 We need a decent undo and recovery system
  * Other notable upstream changes and fixes:
    - Exporting gets the frames in the right order
    - Allows selection with shift+left/right
    - Correctly en/disables undo/redo/save and sets title
    - enable/disable loop button whenever play button enabled/disabled
    - onionskinning alpha value fix
    - and many more
  * Work around *.qm issue in build system: must exist in build/ prior to
    qmake to get *.qm included in install target

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 20 Nov 2014 19:52:52 +0000

=== debian/control ===
--- 
+++ 
@@ -6,14 +6,13 @@
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
 Build-Depends: debhelper (>= 9),
 	pkg-config,
-	libinotifytools-dev,
 	libqt4-dev,
 	libsdl-image1.2-dev,
 	libsdl1.2-dev,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 3.9.5
+Standards-Version: 3.9.6
 Homepage: http://linuxstopmotion.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
 Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git

## stopmotion 0.8.1

=== debian/changelog ===
stopmotion (0.8.1-1) unstable; urgency=medium

  * New upstream release
  * remove menu file per tech-ctte decision on #741573
  * enable hardening
  * disable dh_auto_test, due to test-jig compile-time error
  * force use of qt4
  * bump policy version
  * use https for packaging repo
  
 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 26 Jul 2016 09:13:44 +0200

=== debian/control ===
--- 
+++ 
@@ -12,10 +12,10 @@
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 3.9.6
+Standards-Version: 3.9.8
 Homepage: http://linuxstopmotion.sourceforge.net
 Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
+Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
 
 Package: stopmotion
 Architecture: any

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_test:

## stopmotion 0.8.2

=== debian/changelog ===
stopmotion (0.8.2-1) unstable; urgency=medium

  * New upstream release
    - remove dependency on SDL
    - file README now README.md
  * bump to debhelper 10
  * add recommendation of uvccapture

 -- Barak A. Pearlmutter <bap@debian.org>  Thu, 06 Apr 2017 11:58:53 +0100

=== debian/control ===
--- 
+++ 
@@ -4,11 +4,9 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
-Build-Depends: debhelper (>= 9),
+Build-Depends: debhelper (>= 10),
 	pkg-config,
 	libqt4-dev,
-	libsdl-image1.2-dev,
-	libsdl1.2-dev,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
@@ -20,7 +18,7 @@
 Package: stopmotion
 Architecture: any
 Depends: ${shlibs:Depends}, ${misc:Depends}
-Recommends: vgrabbj, dvgrab, ffmpeg
+Recommends: vgrabbj, dvgrab, ffmpeg, uvccapture
 Suggests: gimp
 Description: create stop-motion animations
  Create stop-motion animations with images grabbed from a video

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 4
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_test:

## stopmotion 0.8.3

=== debian/changelog ===
stopmotion (0.8.3-1) unstable; urgency=medium

  * New upstream release
    - repair testing issue (closes: #800059)
    - don't bail on vgrabbj exit code 256 (closes: #782885)

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Jun 2017 13:08:09 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,5 +5,3 @@
 
 %:
 	dh $@
-
-override_dh_auto_test:

## stopmotion 0.8.4

=== debian/changelog ===
stopmotion (0.8.4-2) unstable; urgency=medium

  * Merge upstream port to Qt5 (closes: #875194)
  * Adjust build scripts to use Qt5

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Feb 2018 11:13:12 +0000

stopmotion (0.8.4-1) unstable; urgency=medium

  * New upstream release
  * debian/watch uscan support file for upstream repo and tags
  * Configure git-buildpackage
  * Bump to debhelper 11
  * Bump policy version
  * merge minor spelling correction
  * address minor lintian nitpicks

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 02 Feb 2018 10:57:38 +0000

=== debian/control ===
--- 
+++ 
@@ -4,15 +4,15 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 11),
 	pkg-config,
-	libqt4-dev,
+	qtbase5-dev, qttools5-dev-tools,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Homepage: http://linuxstopmotion.sourceforge.net
-Vcs-Git: git://anonscm.debian.org/collab-maint/stopmotion.git
+Vcs-Git: https://anonscm.debian.org/git/collab-maint/stopmotion.git
 Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
 
 Package: stopmotion

=== debian/rules ===
#!/usr/bin/make -f

export QT_SELECT = 5
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 git://git.code.sf.net/p/linuxstopmotion/code \
 refs/tags/v?([\d\.]+) debian uupdate

## stopmotion 0.8.5

=== debian/changelog ===
stopmotion (0.8.5-4) unstable; urgency=medium

  * use pkg-config instead of obsolescent xml2-config (closes: #949501)

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Apr 2021 09:01:22 +0100

stopmotion (0.8.5-3) unstable; urgency=medium

  * bump policy, no changes required
  * bump to debhelper 13
  * Fix day-of-week for changelog entry 0.pre3.4-1
  * Add pithy comment to debian/watch
  * stop quoting %s in mimecap entry (closes: #987415)

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 23 Apr 2021 20:56:40 +0100

stopmotion (0.8.5-2) unstable; urgency=medium

  * hack around integer size mismatch to std::min() on 32-bit systems

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 19 Nov 2019 15:45:05 +0000

stopmotion (0.8.5-1) unstable; urgency=medium

  * new upstream release
  * bump debhelper version
  * bump policy, no changes required
  * futz with gbp.conf for no good reason

 -- Barak A. Pearlmutter <bap@debian.org>  Sun, 10 Nov 2019 16:33:15 +0000

stopmotion (0.8.4-3) unstable; urgency=medium

  * track upstream mods
  * swizzle packaging repo to salsa
  * bump policy, no changes required
  * modernize debian/copyright
  * secure debian/watch URL

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 02 Jul 2018 08:14:59 +0100

=== debian/control ===
--- 
+++ 
@@ -4,16 +4,18 @@
 Maintainer: Barak A. Pearlmutter <bap@debian.org>
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 13),
 	pkg-config,
 	qtbase5-dev, qttools5-dev-tools,
+	qtmultimedia5-dev,
 	libtar-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 4.1.3
+Standards-Version: 4.5.1
+Rules-Requires-Root: no
 Homepage: http://linuxstopmotion.sourceforge.net
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/stopmotion.git
-Vcs-Browser: https://anonscm.debian.org/gitweb/?p=collab-maint/stopmotion.git
+Vcs-Git: https://salsa.debian.org/debian/stopmotion.git
+Vcs-Browser: https://salsa.debian.org/debian/stopmotion
 
 Package: stopmotion
 Architecture: any

=== debian/watch ===
version=4
opts="mode=git, pgpmode=none" \
 https://git.code.sf.net/p/linuxstopmotion/code \
 refs/tags/v?([\d\.]+) debian uupdate

## Would use
##   refs/tags/v?@ANY_VERSION@
## but that matches things like 0.8.6-RC1.

## stopmotion 0.8.6

=== debian/changelog ===
stopmotion (0.8.6-3) unstable; urgency=medium

  * track upstream development
  * bump policy, no changes required
  * merge "swizzle libtar to libarchive" patch (closes: #1072585)
    https://invent.kde.org/multimedia/stopmotion/-/merge_requests/20

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 05 Jun 2024 09:06:54 +0100

stopmotion (0.8.6-2) unstable; urgency=medium

  * track upstream development which merged our quilt patches

 -- Barak A. Pearlmutter <bap@debian.org>  Wed, 28 Dec 2022 17:17:24 +0000

stopmotion (0.8.6-1) unstable; urgency=medium

  * upstream development repostory has moved; update pointers
  * new upstream release
  * move xml2-config to pkg-config fix into quilt patch
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.2, no changes needed.
  * Build test executable before test
  * Patch spelling errors
  * update documentation location
  * delete mime file as it has been upstreamed
    - install upstream mime file
  * delete *.manpages as upstream installs stopmotion.1
  * delete stopmotion.install as upstream installs all this stuff
  * cmake build dependency, and update pkg-config to allow pkgconf
  * build dependency on qttools5-dev for cmake/Qt5LinguistTools/

 -- Barak A. Pearlmutter <bap@debian.org>  Tue, 27 Dec 2022 20:27:04 +0000

=== debian/control ===
--- 
+++ 
@@ -5,15 +5,17 @@
 Uploaders: Mahyuddin Susanto <udienz@ubuntu.com>,
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
 Build-Depends: debhelper-compat (= 13),
-	pkg-config,
+	cmake,
+	pkgconf | pkg-config,
 	qtbase5-dev, qttools5-dev-tools,
+	qttools5-dev,
 	qtmultimedia5-dev,
-	libtar-dev,
+	libarchive-dev,
 	libvorbis-dev,
 	libxml2-dev
-Standards-Version: 4.5.1
+Standards-Version: 4.7.0
 Rules-Requires-Root: no
-Homepage: http://linuxstopmotion.sourceforge.net
+Homepage: https://invent.kde.org/multimedia/stopmotion
 Vcs-Git: https://salsa.debian.org/debian/stopmotion.git
 Vcs-Browser: https://salsa.debian.org/debian/stopmotion

## stopmotion 0.8.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -4,7 +4,7 @@
 cmake_minimum_required(VERSION 3.14)
 
 project(stopmotion
-  VERSION 0.8.6
+  VERSION 0.8.7
   LANGUAGES CXX)
 
 # set project options required by Qt
@@ -33,12 +33,8 @@
 find_package(LibXml2
   REQUIRED)
 
-# libtar
-find_file(TAR_INCLUDE_PATH
-  NAMES libtar.h
-  REQUIRED)
-find_library(TAR_LIBRARY_PATH
-  NAMES tar
+# libarchive
+find_package(LibArchive
   REQUIRED)
 
 # libVorbisFile
@@ -169,11 +165,11 @@
 # link to LibXml2
 target_link_libraries(stopmotion
   PUBLIC LibXml2::LibXml2)
-# link to libVorbis, libtar
+# link to libVorbis, libarchive
 target_link_libraries(stopmotion
   PUBLIC
   ${VORBISFILE_LIBRARY_PATH}
-  ${TAR_LIBRARY_PATH}
+  LibArchive::LibArchive
   )
 
 target_include_directories(stopmotion

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -91,12 +91,12 @@
 # link to LibXml2
 target_link_libraries(test-stopmotion
   PUBLIC LibXml2::LibXml2)
-# link to libVorbisFile, libtar
+# link to libVorbisFile, libarchive
 target_link_libraries(test-stopmotion
   PUBLIC
   oomtestutil oomteststub
   ${VORBISFILE_LIBRARY_PATH}
-  ${TAR_LIBRARY_PATH}
+  LibArchive::LibArchive
   ${DL_LIBRARY_PATH}
   )

=== debian/changelog ===
stopmotion (0.8.7-1) unstable; urgency=medium

  * new upstream release
  * track last-minute upstream translations
  * remove "| pkg-config" build dependency

 -- Barak A. Pearlmutter <bap@debian.org>  Mon, 26 Aug 2024 20:17:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 	   Bjoern Erik Nilsen <bjoern.nilsen@bjoernen.com>
 Build-Depends: debhelper-compat (= 13),
 	cmake,
-	pkgconf | pkg-config,
+	pkgconf,
 	qtbase5-dev, qttools5-dev-tools,
 	qttools5-dev,
 	qtmultimedia5-dev,

=== debian/rules ===
--- 
+++ 
@@ -5,3 +5,10 @@
 
 %:
 	dh $@
+
+execute_before_dh_auto_test:
+	$(MAKE) -C obj-* test-stopmotion
+
+execute_after_dh_installmime:
+	mkdir -p debian/stopmotion/usr/lib/mime/packages
+	cp stopmotion.mime debian/stopmotion/usr/lib/mime/packages/stopmotion

## stopmotion 0.9.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,33 +1,30 @@
 ###
 # general project setup
 ###
-cmake_minimum_required(VERSION 3.14)
+cmake_minimum_required(VERSION 3.22)
 
 project(stopmotion
-  VERSION 0.8.7
   LANGUAGES CXX)
+set(PROJECT_VERSION 0.9.0)
 
 # set project options required by Qt
-set(CMAKE_CXX_STANDARD 11)
+set(CMAKE_CXX_STANDARD 20)
 set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
 set(CMAKE_AUTOMOC ON)
 set(CMAKE_AUTORCC ON)
 set(CMAKE_AUTOUIC ON)
 
-enable_testing()
+option(BUILD_TESTING "Build the tests" OFF)
 
 ###
 # find external dependencies
 ###
 
 # Qt
-find_package(Qt5 5.11
+find_package(Qt6 6.5
   COMPONENTS Widgets Multimedia LinguistTools
   REQUIRED)
-# only needed for testing
-find_package(Qt5 5.11
-  COMPONENTS Test)
 
 # LibXml2
 find_package(LibXml2
@@ -45,10 +42,16 @@
   NAMES vorbisfile
   REQUIRED)
 
-# libdl, only needed for testing
-find_library(DL_LIBRARY_PATH
-  NAMES dl
-  )
+if(BUILD_TESTING)
+  enable_testing()
+  find_package(Qt6 6.5 REQUIRED
+    COMPONENTS Test
+  )
+  # libdl, only needed for testing
+  find_library(DL_LIBRARY_PATH REQUIRED
+    NAMES dl
+  )
+endif ()
 
 include(FeatureSummary)
 feature_summary(WHAT PACKAGES_FOUND PACKAGES_NOT_FOUND)
@@ -68,7 +71,7 @@
 # handle translation files
 ###
 file(GLOB TS_FILES "translations/stopmotion_*.ts")
-qt5_add_translation(QM_FILES "${TS_FILES}")
+qt_add_translation(QM_FILES "${TS_FILES}")
 
 ###
 # create executable and link libraries
@@ -158,9 +161,9 @@
 # link to Qt libraries
 target_link_libraries(stopmotion
   PUBLIC
-  Qt5::Core
-  Qt5::Widgets
-  Qt5::Multimedia
+  Qt6::Core
+  Qt6::Widgets
+  Qt6::Multimedia
   )
 # link to LibXml2
 target_link_libraries(stopmotion

=== translations/CMakeLists.txt ===
configure_file(translations.qrc ${CMAKE_BINARY_DIR} COPYONLY)

=== src/test/CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
-if(EXISTS "${DL_LIBRARY_PATH}" AND "${Qt5Test_FOUND}")
+if(BUILD_TESTING)
   add_library(oomtestutil
-    SHARED EXCLUDE_FROM_ALL
+    SHARED
     oomtestutil.cpp)
   target_compile_definitions(oomtestutil
     PUBLIC
@@ -13,7 +13,6 @@
     ${DL_LIBRARY_PATH})
 
   add_library(oomteststub
-    EXCLUDE_FROM_ALL
     oomteststub.cpp)
   target_compile_definitions(oomteststub
     PUBLIC
@@ -76,41 +75,36 @@
     ../foundation/logger.cpp
     )
 
-set_target_properties(test-stopmotion
-  PROPERTIES
-  EXCLUDE_FROM_ALL true)
+  # link to Qt libraries
+  target_link_libraries(test-stopmotion
+    PUBLIC
+    Qt6::Core
+    Qt6::Widgets
+    Qt6::Multimedia
+    Qt6::Test
+    )
+  # link to LibXml2
+  target_link_libraries(test-stopmotion
+    PUBLIC LibXml2::LibXml2)
+  # link to libVorbisFile, libtar
+  target_link_libraries(test-stopmotion
+    PUBLIC
+    oomtestutil oomteststub
+    ${VORBISFILE_LIBRARY_PATH}
+    LibArchive::LibArchive
+    ${DL_LIBRARY_PATH}
+    )
 
-# link to Qt libraries
-target_link_libraries(test-stopmotion
-  PUBLIC
-  Qt5::Core
-  Qt5::Widgets
-  Qt5::Multimedia
-  Qt5::Test
-  )
-# link to LibXml2
-target_link_libraries(test-stopmotion
-  PUBLIC LibXml2::LibXml2)
-# link to libVorbisFile, libarchive
-target_link_libraries(test-stopmotion
-  PUBLIC
-  oomtestutil oomteststub
-  ${VORBISFILE_LIBRARY_PATH}
-  LibArchive::LibArchive
-  ${DL_LIBRARY_PATH}
-  )
+  target_include_directories(test-stopmotion
+    PUBLIC
+    ${CMAKE_SOURCE_DIR})
 
-target_include_directories(test-stopmotion
-  PUBLIC
-  ${CMAKE_SOURCE_DIR})
+  # add test executable to CTest suite
+  add_test(
+    NAME test-stopmotion
+    COMMAND test-stopmotion)
 
-# add test executable to CTest suite
-add_test(
-  NAME test-stopmotion
-  COMMAND test-stopmotion)
-
-# link files required for test
-file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/resources ${CMAKE_CURRENT_BINARY_DIR}/resources
-     COPY_ON_ERROR SYMBOLIC)
-
+  # link files required for test
+  file(CREATE_LINK ${CMAKE_CURRENT_SOURCE_DIR}/resources ${CMAKE_CURRENT_BINARY_DIR}/resources
+      COPY_ON_ERROR SYMBOLIC)
 endif()

=== debian/changelog ===
stopmotion (0.9.0-1) unstable; urgency=medium

  * new upstream release
  * update build scripts for qt6

 -- Barak A. Pearlmutter <bap@debian.org>  Fri, 30 May 2025 12:17:51 +0100

=== debian/control ===
--- 
+++ 
@@ -7,13 +7,14 @@
 Build-Depends: debhelper-compat (= 13),
 	cmake,
 	pkgconf,
-	qtbase5-dev, qttools5-dev-tools,
-	qttools5-dev,
-	qtmultimedia5-dev,
+	qt6-base-dev,
+	qt6-tools-dev,
+	qt6-multimedia-dev,
 	libarchive-dev,
 	libvorbis-dev,
+	libxkbcommon-dev,
 	libxml2-dev
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Rules-Requires-Root: no
 Homepage: https://invent.kde.org/multimedia/stopmotion
 Vcs-Git: https://salsa.debian.org/debian/stopmotion.git

=== debian/rules ===
--- 
+++ 
@@ -1,10 +1,18 @@
 #!/usr/bin/make -f
 
-export QT_SELECT = 5
 export DEB_BUILD_MAINT_OPTIONS = hardening=+all
 
 %:
 	dh $@
+
+ifeq (,$(findstring nodebug,$(DEB_BUILD_OPTIONS)))
+    CONFIGURE_ARGS += -DBUILD_TESTING=ON
+else
+    CONFIGURE_ARGS += -DBUILD_TESTING=OFF
+endif
+
+override_dh_auto_configure:
+	dh_auto_configure -- $(CONFIGURE_ARGS)
 
 execute_before_dh_auto_test:
 	$(MAKE) -C obj-* test-stopmotion

=== debian/watch ===
version=4

opts="mode=git" \
 https://invent.kde.org/multimedia/stopmotion.git \
 refs/tags/v?([\d\.]+) debian uupdate

## Would use
##   refs/tags/v?@ANY_VERSION@
## but that matches things like 0.8.6-RC1.
